{% extends '@ezdesign/content/content_preview.html.twig' %}

    {% block content %}
        <div class="ez-preview">
            <div class="ez-preview__nav">
                <div class="ez-preview__item ez-preview__item--back">
                    <a href="{{ url('ez_content_draft_edit', {'contentId': content.id, 'versionNo': versionNo, 'language': language_code, 'locationId': isPublished ? location.id : null}) }}" >
                        <svg class="ez-icon ez-icon-back">
                            <use xlink:href="/bundles/ezplatformadminui/img/ez-icons.svg#caret-back"></use>
                        </svg>
                    </a>
                </div>
                <div class="ez-preview__item ez-preview__item--description">
                    <span class="ez-preview__item-label">{{ 'previewing'|trans|desc('Previewing') }}:</span>
                    <span class="ez-preview__item-text">{{ content.name }}</span>
                </div>
                <div class="ez-preview__item ez-preview__item--actions">
                    <button data-preview-mode="desktop" class="ez-preview__action ez-preview__action--selected">
                        <svg class="ez-icon ez-icon-desktop">
                            <use xlink:href="/bundles/ezplatformadminui/img/ez-icons.svg#view-desktop"></use>
                        </svg>
                    </button>
                    <button data-preview-mode="tablet" class="ez-preview__action">
                        <svg class="ez-icon ez-icon-tablet">
                            <use xlink:href="/bundles/ezplatformadminui/img/ez-icons.svg#view-tablet"></use>
                        </svg>
                    </button>
                    <button data-preview-mode="mobile" class="ez-preview__action">
                        <svg class="ez-icon ez-icon-mobile">
                            <use xlink:href="/bundles/ezplatformadminui/img/ez-icons.svg#view-mobile"></use>
                        </svg>
                    </button>
                </div>
                {% if siteaccesses|length > 1 %}
                    <div class="ez-preview__item ez-preview__item--siteaccess">
                        <select class="form-control">
                            {% for previewSiteaccess in siteaccesses %}
                                <option {% if previewSiteaccess == defaultSiteaccess %}selected="selected"{% endif %} value="{{ path('_ezpublishPreviewContent', {'contentId': content.id, 'versionNo': versionNo, 'language': language_code, 'siteAccessName': previewSiteaccess}) }}">{{ previewSiteaccess|trans({}, 'ezplatform_siteaccess') ~ ' (' ~ previewSiteaccess ~ ')' }}</option>
                            {% endfor %}
                        </select>
                    </div>
                {% endif %}
            </div>
            <div class="ez-preview__iframe ez-preview__iframe--desktop">
                <iframe src="{{ url('_ezpublishPreviewContent', {'contentId': content.id, 'versionNo': versionNo, 'language': language_code, 'siteAccessName': defaultSiteaccess}) }}" frameborder="0"></iframe>
            </div>
        </div>
    {% endblock %}
